SEARCHC(1)

NAME
searchc - Simple search client script used mostly to test 'search++' when running as a server daemon.

SYNOPSIS
searchc [options] query

DESCRIPTION
This manual page documents briefly the searchc command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

OPTIONS

-a socket_addr
    Host and port of socket address [default: *:1967]

-c config_file
    Name of configuration file [default: $ConfigFile_Default]

-d  Dump query word indices and exit

-D  Dump entire word index and exit

-h  Print this help message

-m max_results
    Maximum number of results [default: $ResultsMax_Default]

-M  Dump meta-name index and exit

-r skip_results
    Number of initial results to skip [default: 0]

-s  Stem words prior to search [default: no]

-S  Dump stop-word index and exit

-T  Connect via TCP socket

-u socket_file
    Name of socket file [default: $SocketFile_Default]

-U  Connect via Unix domain socket

-V  Print version number and exit

-w size[,chars]
    Dump window of words around query words [default: 0]

SEE ALSO
search++(1), /usr/share/doc/swish++/examples/demon/.

AUTHOR
This manual page was written by Michael Hummel <mhummel@debian.org>, for the Debian GNU/Linux system (but may be used by others).